import 'package:fireball/network/local/local_file.dart';
import 'package:fireball/network/local/local_preferences.dart';
import 'package:flutter/cupertino.dart';

import 'local/IFileManager.dart';
import 'model/header.dart';

class NetworkConfig {
  List<KeyValue> _headers = [];
  Duration timeout = Duration(seconds: 60);
  final String baseUrl;
  bool _enableLog = false;

  /// You choose  your file caching type
  ///
  /// Try your import [LocalFile] or [LocalPreferences]
  IFileManager fileManager;

  NetworkConfig({@required this.baseUrl, this.fileManager});

  List<KeyValue> get headers => _headers;
  bool get enableLog => _enableLog;

  NetworkConfig addHeader(KeyValue header) {
    _headers.add(header);
    return this;
  }

  NetworkConfig setTimeout(Duration timeout) {
    this.timeout = timeout;
    return this;
  }

  NetworkConfig setLogging(bool val) {
    _enableLog = val;
    return this;
  }
}
