import 'package:fireball/network/serializable.dart';

class Pet extends Serializable<Pet> {
  int id;
  String name;
  String stats;
  Pet({
    this.id,
    this.name,
    this.stats,
  });

  Map<String, dynamic> toMap() {
    return {
      'id': id,
      'name': name,
      'stats': stats,
    };
  }

  static Pet fromMap(Map<String, dynamic> map) {
    if (map == null) return null;

    return Pet(
      id: map['id'],
      name: map['name'],
      stats: map['stats'],
    );
  }

  @override
  Pet fromJson(Map<String, Object> json) => Pet.fromMap(json);

  @override
  Map<String, Object> toJson() => this.toMap();
}
